"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _uikitUtils = require("@sendbird/uikit-utils");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const FileViewerFooter = ({
  bottomInset,
  deleteShown,
  onPressDelete,
  onPressDownload
}) => {
  const {
    palette
  } = (0, _uikitReactNativeFoundation.useUIKitTheme)();
  const {
    defaultHeight
  } = (0, _uikitReactNativeFoundation.useHeaderStyle)();
  const safeArea = (0, _uikitUtils.useSafeAreaPadding)(['left', 'right']);
  return /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
    style: [styles.container, {
      paddingStart: styles.container.paddingHorizontal + safeArea.paddingStart,
      paddingEnd: styles.container.paddingHorizontal + safeArea.paddingEnd,
      paddingBottom: bottomInset,
      height: defaultHeight + bottomInset,
      backgroundColor: palette.overlay01
    }]
  }, /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.PressBox, {
    activeOpacity: 0.75,
    onPress: onPressDownload,
    style: styles.buttonContainer
  }, /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Icon, {
    icon: 'download',
    size: 24,
    color: palette.onBackgroundDark01
  })), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
    style: styles.titleContainer
  }), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.PressBox, {
    activeOpacity: 0.75,
    onPress: onPressDelete,
    style: styles.buttonContainer,
    disabled: !deleteShown
  }, deleteShown && /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Icon, {
    icon: 'delete',
    size: 24,
    color: palette.onBackgroundDark01
  })));
};
const styles = (0, _uikitReactNativeFoundation.createStyleSheet)({
  container: {
    zIndex: 1,
    position: 'absolute',
    start: 0,
    end: 0,
    bottom: 0,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    paddingHorizontal: 12
  },
  buttonContainer: {
    width: 32,
    height: 32,
    alignItems: 'center',
    justifyContent: 'center'
  },
  titleContainer: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center'
  }
});
var _default = exports.default = FileViewerFooter;
//# sourceMappingURL=FileViewerFooter.js.map