"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _uikitUtils = require("@sendbird/uikit-utils");
var _constants = require("../../constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const GroupChannelMessageFocusAnimation = props => {
  const isFirstMount = (0, _uikitUtils.useIsFirstMount)();
  const translateY = (0, _react.useRef)(new _reactNative.Animated.Value(0)).current;
  (0, _react.useEffect)(() => {
    if (props.focused) {
      const delay = _constants.MESSAGE_FOCUS_ANIMATION_DELAY + (isFirstMount ? _constants.MESSAGE_SEARCH_SAFE_SCROLL_DELAY : 0);
      setTimeout(() => {
        _reactNative.Animated.sequence([{
          toValue: -10,
          duration: 500
        }, {
          toValue: 0,
          duration: 100
        }, {
          toValue: -10,
          duration: 200
        }, {
          toValue: 0,
          duration: 100
        }].map(value => _reactNative.Animated.timing(translateY, {
          ...value,
          useNativeDriver: true,
          easing: _reactNative.Easing.inOut(_reactNative.Easing.ease)
        }))).start();
      }, delay);
    }
  }, [props.focused]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: {
      transform: [{
        translateY
      }]
    }
  }, props.children);
};
var _default = exports.default = GroupChannelMessageFocusAnimation;
//# sourceMappingURL=GroupChannelMessageFocusAnimation.js.map