"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _uikitUtils = require("@sendbird/uikit-utils");
var _FlatListInternal = _interopRequireDefault(require("../ChatFlatList/FlatListInternal"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const BOTTOM_DETECT_THRESHOLD = 50;
const UNREACHABLE_THRESHOLD = Number.MIN_SAFE_INTEGER;
const ThreadChatFlatList = /*#__PURE__*/(0, _react.forwardRef)(function ThreadChatFlatList({
  onTopReached,
  onBottomReached,
  onScrolledAwayFromBottom,
  onScroll,
  ...props
}, ref) {
  const {
    select
  } = (0, _uikitReactNativeFoundation.useUIKitTheme)();
  const contentOffsetY = (0, _react.useRef)(0);
  const _onScroll = (0, _uikitUtils.useFreshCallback)(event => {
    onScroll === null || onScroll === void 0 || onScroll(event);
    const {
      contentOffset,
      contentSize,
      layoutMeasurement
    } = event.nativeEvent;
    const prevOffsetY = contentOffsetY.current;
    const currOffsetY = contentOffset.y;
    const bottomDetectThreshold = contentSize.height - layoutMeasurement.height - BOTTOM_DETECT_THRESHOLD;
    if (bottomDetectThreshold < prevOffsetY && currOffsetY <= bottomDetectThreshold) {
      onScrolledAwayFromBottom(true);
    } else if (bottomDetectThreshold < currOffsetY && prevOffsetY <= bottomDetectThreshold) {
      onScrolledAwayFromBottom(false);
    }
    contentOffsetY.current = contentOffset.y;
  });
  return /*#__PURE__*/_react.default.createElement(_FlatListInternal.default, _extends({
    bounces: false,
    removeClippedSubviews: true,
    keyboardDismissMode: 'on-drag',
    keyboardShouldPersistTaps: 'handled',
    indicatorStyle: select({
      light: 'black',
      dark: 'white'
    })
  }, props, {
    ref: ref,
    onEndReached: onBottomReached,
    onScrollToIndexFailed: _uikitUtils.NOOP,
    onStartReached: onTopReached,
    scrollEventThrottle: 16,
    onScroll: _onScroll,
    keyExtractor: _uikitUtils.getMessageUniqId,
    style: {
      flex: 1,
      ..._reactNative.StyleSheet.flatten(props.style)
    },
    maintainVisibleContentPosition: {
      minIndexForVisible: 0,
      autoscrollToTopThreshold: UNREACHABLE_THRESHOLD
    }
  }));
});
var _default = exports.default = ThreadChatFlatList;
//# sourceMappingURL=index.js.map