"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlatformServiceProvider = exports.PlatformServiceContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitUtils = require("@sendbird/uikit-utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const PlatformServiceContext = exports.PlatformServiceContext = /*#__PURE__*/_react.default.createContext(null);
const PlatformServiceProvider = ({
  children,
  voiceMessageConfig,
  ...services
}) => {
  (0, _react.useEffect)(() => {
    services.recorderService.options.minDuration = voiceMessageConfig.recorder.minDuration;
    services.recorderService.options.maxDuration = voiceMessageConfig.recorder.maxDuration;
  }, [voiceMessageConfig]);
  (0, _uikitUtils.useAppState)('change', state => {
    if (state !== 'active') {
      services.playerService.reset().catch(() => {});
      services.recorderService.reset().catch(() => {});
    }
  });
  return /*#__PURE__*/_react.default.createElement(PlatformServiceContext.Provider, {
    value: services
  }, children);
};
exports.PlatformServiceProvider = PlatformServiceProvider;
//# sourceMappingURL=PlatformServiceCtx.js.map