"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GroupChannelListContextsProvider = exports.GroupChannelListContexts = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitUtils = require("@sendbird/uikit-utils");
var _ProviderLayout = _interopRequireDefault(require("../../../components/ProviderLayout"));
var _useContext = require("../../../hooks/useContext");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const GroupChannelListContexts = exports.GroupChannelListContexts = {
  Fragment: /*#__PURE__*/(0, _react.createContext)({
    headerTitle: ''
  }),
  TypeSelector: /*#__PURE__*/(0, _react.createContext)({
    headerTitle: '',
    visible: Boolean(),
    hide: _uikitUtils.NOOP,
    show: _uikitUtils.NOOP
  })
};
const GroupChannelListContextsProvider = ({
  children
}) => {
  const {
    STRINGS
  } = (0, _useContext.useLocalization)();

  // Type selector
  const [visible, setVisible] = (0, _react.useState)(false);
  const show = (0, _react.useCallback)(() => setVisible(true), []);
  const hide = (0, _react.useCallback)(() => setVisible(false), []);
  return /*#__PURE__*/_react.default.createElement(_ProviderLayout.default, null, /*#__PURE__*/_react.default.createElement(GroupChannelListContexts.TypeSelector.Provider, {
    value: {
      headerTitle: STRINGS.GROUP_CHANNEL_LIST.TYPE_SELECTOR_HEADER_TITLE,
      visible,
      show,
      hide
    }
  }, /*#__PURE__*/_react.default.createElement(GroupChannelListContexts.Fragment.Provider, {
    value: {
      headerTitle: STRINGS.GROUP_CHANNEL_LIST.HEADER_TITLE
    }
  }, children)));
};
exports.GroupChannelListContextsProvider = GroupChannelListContextsProvider;
//# sourceMappingURL=moduleContext.js.map