"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _useContext = require("../../../hooks/useContext");
var _moduleContext = require("../module/moduleContext");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const GroupChannelThreadHeader = ({
  onPressLeft,
  onPressSubtitle
}) => {
  const {
    headerTitle,
    channel
  } = (0, _react.useContext)(_moduleContext.GroupChannelThreadContexts.Fragment);
  const {
    HeaderComponent
  } = (0, _uikitReactNativeFoundation.useHeaderStyle)();
  const {
    STRINGS
  } = (0, _useContext.useLocalization)();
  const {
    select,
    colors,
    palette
  } = (0, _uikitReactNativeFoundation.useUIKitTheme)();
  const {
    currentUser
  } = (0, _useContext.useSendbirdChat)();
  const renderSubtitle = () => {
    if (!currentUser) return null;
    return /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Text, {
      onPress: onPressSubtitle,
      caption2: true,
      style: styles.subtitle,
      color: select({
        light: palette.primary300,
        dark: palette.primary200
      }),
      numberOfLines: 1
    }, STRINGS.GROUP_CHANNEL_THREAD.HEADER_SUBTITLE(currentUser.userId, channel));
  };
  return /*#__PURE__*/_react.default.createElement(HeaderComponent, {
    clearTitleMargin: true,
    title: /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
      style: styles.titleContainer
    }, /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
      flexShrink: 1,
      alignItems: 'flex-start'
    }, /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Text, {
      h2: true,
      color: colors.onBackground01,
      numberOfLines: 1
    }, headerTitle), renderSubtitle())),
    left: /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Icon, {
      icon: 'arrow-left',
      size: 24
    }),
    onPressLeft: onPressLeft
  });
};
const styles = (0, _uikitReactNativeFoundation.createStyleSheet)({
  titleContainer: {
    maxWidth: '100%',
    flexDirection: 'row',
    width: '100%'
  },
  subtitle: {
    marginTop: 2
  }
});
var _default = exports.default = GroupChannelThreadHeader;
//# sourceMappingURL=GroupChannelThreadHeader.js.map