"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _useContext = require("../../..//hooks/useContext");
var _ChannelCover = _interopRequireDefault(require("../../../components/ChannelCover"));
var _moduleContext = require("../module/moduleContext");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const OpenChannelHeader = ({
  onPressHeaderLeft,
  onPressHeaderRight,
  rightIconName
}) => {
  const {
    headerTitle,
    channel
  } = (0, _react.useContext)(_moduleContext.OpenChannelContexts.Fragment);
  const {
    HeaderComponent
  } = (0, _uikitReactNativeFoundation.useHeaderStyle)();
  const {
    STRINGS
  } = (0, _useContext.useLocalization)();
  return /*#__PURE__*/_react.default.createElement(HeaderComponent, {
    clearTitleMargin: true,
    title: /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
      flexDirection: 'row',
      alignItems: 'center',
      style: styles.titleContainer
    }, /*#__PURE__*/_react.default.createElement(_ChannelCover.default, {
      channel: channel,
      size: 34,
      containerStyle: styles.avatarGroup
    }), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
      flexShrink: 1
    }, /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Header.Title, {
      h2: true
    }, headerTitle), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Header.Subtitle, {
      style: styles.subtitle
    }, STRINGS.OPEN_CHANNEL.HEADER_SUBTITLE(channel)))),
    left: /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Icon, {
      icon: 'arrow-left'
    }),
    onPressLeft: onPressHeaderLeft,
    right: /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Icon, {
      icon: rightIconName
    }),
    onPressRight: onPressHeaderRight
  });
};
const styles = (0, _uikitReactNativeFoundation.createStyleSheet)({
  titleContainer: {
    maxWidth: '100%'
  },
  avatarGroup: {
    marginEnd: 8
  },
  subtitle: {
    marginTop: 2
  }
});
var _default = exports.default = /*#__PURE__*/_react.default.memo(OpenChannelHeader);
//# sourceMappingURL=OpenChannelHeader.js.map