"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitChatHooks = require("@sendbird/uikit-chat-hooks");
var _uikitUtils = require("@sendbird/uikit-utils");
var _ChannelInput = _interopRequireDefault(require("../../../components/ChannelInput"));
var _constants = require("../../../constants");
var _useContext = require("../../../hooks/useContext");
var _moduleContext = require("../module/moduleContext");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const OpenChannelInput = ({
  inputDisabled = false,
  ...props
}) => {
  const {
    sdk,
    currentUser
  } = (0, _useContext.useSendbirdChat)();
  const {
    channel,
    messageToEdit,
    setMessageToEdit,
    keyboardAvoidOffset = 0
  } = (0, _react.useContext)(_moduleContext.OpenChannelContexts.Fragment);
  const [chatAvailableState, setChatAvailableState] = (0, _react.useState)({
    frozen: false,
    muted: false,
    disabled: false
  });
  const updateChatAvailableState = (0, _react.useCallback)(baseChannel => {
    if (baseChannel.isOpenChannel()) {
      const userId = (currentUser === null || currentUser === void 0 ? void 0 : currentUser.userId) ?? _constants.UNKNOWN_USER_ID;
      (0, _uikitUtils.getOpenChannelChatAvailableState)(baseChannel, userId).then(setChatAvailableState);
    }
  }, [currentUser === null || currentUser === void 0 ? void 0 : currentUser.userId]);
  (0, _react.useEffect)(() => {
    updateChatAvailableState(channel);
  }, [channel, updateChatAvailableState]);
  const handlerId = (0, _uikitUtils.useUniqHandlerId)('OpenChannelInput');
  (0, _uikitChatHooks.useChannelHandler)(sdk, handlerId, {
    onChannelFrozen(channel) {
      updateChatAvailableState(channel);
    },
    onChannelUnfrozen(channel) {
      updateChatAvailableState(channel);
    },
    onUserMuted(channel) {
      updateChatAvailableState(channel);
    },
    onUserUnmuted(channel) {
      updateChatAvailableState(channel);
    },
    onOperatorUpdated(channel) {
      updateChatAvailableState(channel);
    }
  }, 'open');
  return /*#__PURE__*/_react.default.createElement(_ChannelInput.default, _extends({
    channel: channel,
    messageToEdit: messageToEdit,
    setMessageToEdit: setMessageToEdit,
    keyboardAvoidOffset: keyboardAvoidOffset,
    inputMuted: chatAvailableState.muted,
    inputFrozen: chatAvailableState.frozen,
    inputDisabled: chatAvailableState.disabled ? true : inputDisabled
  }, props));
};
var _default = exports.default = /*#__PURE__*/_react.default.memo(OpenChannelInput);
//# sourceMappingURL=OpenChannelInput.js.map