"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitUtils = require("@sendbird/uikit-utils");
var _ChannelMessageList = _interopRequireDefault(require("../../../components/ChannelMessageList"));
var _moduleContext = require("../module/moduleContext");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const OpenChannelMessageList = props => {
  const {
    setMessageToEdit
  } = (0, _react.useContext)(_moduleContext.OpenChannelContexts.Fragment);
  const {
    subscribe
  } = (0, _react.useContext)(_moduleContext.OpenChannelContexts.PubSub);
  const ref = (0, _react.useRef)(null);
  const [scrolledAwayFromBottom, setScrolledAwayFromBottom] = (0, _react.useState)(false);
  const scrollToBottom = (0, _uikitUtils.useFreshCallback)((animated = false) => {
    // FIXME: Workaround, should run after data has been applied to UI.
    setTimeout(() => {
      var _ref$current;
      (_ref$current = ref.current) === null || _ref$current === void 0 || _ref$current.scrollToOffset({
        offset: 0,
        animated
      });
    }, 0);
  });
  (0, _react.useEffect)(() => {
    return subscribe(({
      type
    }) => {
      switch (type) {
        case 'MESSAGES_RECEIVED':
          {
            scrollToBottom(false);
            break;
          }
        case 'MESSAGE_SENT_SUCCESS':
        case 'MESSAGE_SENT_PENDING':
          {
            scrollToBottom(false);
            break;
          }
      }
    });
  }, []);
  return /*#__PURE__*/_react.default.createElement(_ChannelMessageList.default, _extends({}, props, {
    ref: ref,
    onPressScrollToBottomButton: scrollToBottom,
    onPressNewMessagesButton: scrollToBottom,
    scrolledAwayFromBottom: scrolledAwayFromBottom,
    onScrolledAwayFromBottom: setScrolledAwayFromBottom,
    onEditMessage: setMessageToEdit
  }));
};
var _default = exports.default = /*#__PURE__*/_react.default.memo(OpenChannelMessageList);
//# sourceMappingURL=OpenChannelMessageList.js.map