"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OpenChannelContextsProvider = exports.OpenChannelContexts = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitUtils = require("@sendbird/uikit-utils");
var _ProviderLayout = _interopRequireDefault(require("../../../components/ProviderLayout"));
var _useContext = require("../../../hooks/useContext");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const OpenChannelContexts = exports.OpenChannelContexts = {
  Fragment: /*#__PURE__*/(0, _react.createContext)({
    headerTitle: '',
    channel: {},
    setMessageToEdit: _uikitUtils.NOOP
  }),
  PubSub: /*#__PURE__*/(0, _react.createContext)({
    publish: _uikitUtils.NOOP,
    subscribe: () => _uikitUtils.NOOP
  })
};
const OpenChannelContextsProvider = ({
  children,
  channel,
  keyboardAvoidOffset,
  openChannelPubSub
}) => {
  const {
    STRINGS
  } = (0, _useContext.useLocalization)();
  const [messageToEdit, setMessageToEdit] = (0, _react.useState)();
  return /*#__PURE__*/_react.default.createElement(_ProviderLayout.default, null, /*#__PURE__*/_react.default.createElement(OpenChannelContexts.Fragment.Provider, {
    value: {
      headerTitle: STRINGS.OPEN_CHANNEL.HEADER_TITLE(channel),
      channel,
      keyboardAvoidOffset,
      messageToEdit,
      setMessageToEdit
    }
  }, /*#__PURE__*/_react.default.createElement(OpenChannelContexts.PubSub.Provider, {
    value: openChannelPubSub
  }, children)));
};
exports.OpenChannelContextsProvider = OpenChannelContextsProvider;
//# sourceMappingURL=moduleContext.js.map