"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _uikitUtils = require("@sendbird/uikit-utils");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const OpenChannelBannedUsersList = ({
  renderUser,
  bannedUsers,
  onLoadNext,
  ListEmptyComponent
}) => {
  const renderItem = (0, _uikitUtils.useFreshCallback)(({
    item
  }) => renderUser === null || renderUser === void 0 ? void 0 : renderUser({
    user: item
  }));
  const safeArea = (0, _uikitUtils.useSafeAreaPadding)(['left', 'right']);
  return /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: bannedUsers,
    renderItem: renderItem,
    contentContainerStyle: {
      ...safeArea,
      flexGrow: 1
    },
    ListEmptyComponent: ListEmptyComponent,
    onEndReached: onLoadNext,
    bounces: false,
    keyExtractor: _uikitUtils.getUserUniqId
  });
};
var _default = exports.default = OpenChannelBannedUsersList;
//# sourceMappingURL=OpenChannelBannedUsersList.js.map