"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _uikitUtils = require("@sendbird/uikit-utils");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const OpenChanelListList = ({
  onPressChannel,
  openChannels,
  onLoadNext,
  flatListProps,
  renderOpenChannelPreview,
  refreshing,
  onRefresh
}) => {
  const renderItem = (0, _uikitUtils.useFreshCallback)(({
    item
  }) => renderOpenChannelPreview === null || renderOpenChannelPreview === void 0 ? void 0 : renderOpenChannelPreview({
    channel: item,
    onPress: () => onPressChannel(item)
  }));
  const safeArea = (0, _uikitUtils.useSafeAreaPadding)(['left', 'right']);
  return /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, _extends({
    refreshing: refreshing,
    data: openChannels,
    renderItem: renderItem,
    onEndReached: onLoadNext,
    onRefresh: onRefresh
  }, flatListProps, {
    contentContainerStyle: [flatListProps === null || flatListProps === void 0 ? void 0 : flatListProps.contentContainerStyle, safeArea],
    keyExtractor: _uikitUtils.getChannelUniqId
  }));
};
var _default = exports.default = OpenChanelListList;
//# sourceMappingURL=OpenChannelListList.js.map