"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _uikitUtils = require("@sendbird/uikit-utils");
var _ChannelCover = _interopRequireDefault(require("../../../components/ChannelCover"));
var _useContext = require("../../../hooks/useContext");
var _moduleContext = require("../module/moduleContext");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const OpenChannelSettingsInfo = _ => {
  const {
    channel
  } = (0, _react.useContext)(_moduleContext.OpenChannelSettingsContexts.Fragment);
  const {
    STRINGS
  } = (0, _useContext.useLocalization)();
  const {
    colors
  } = (0, _uikitReactNativeFoundation.useUIKitTheme)();
  return /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, null, /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
    paddingVertical: 24,
    alignItems: 'center'
  }, /*#__PURE__*/_react.default.createElement(_ChannelCover.default, {
    channel: channel,
    size: 80,
    containerStyle: styles.avatarContainer
  }), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Text, {
    h1: true,
    numberOfLines: 1
  }, (0, _uikitUtils.getOpenChannelTitle)(channel) || ' ')), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Divider, null), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
    paddingVertical: 16
  }, /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Text, {
    body2: true,
    color: colors.onBackground02,
    style: styles.infoUrl
  }, STRINGS.OPEN_CHANNEL_SETTINGS.INFO_URL), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Text, {
    body3: true,
    color: colors.onBackground01
  }, channel.url)), /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Divider, null));
};
const styles = (0, _uikitReactNativeFoundation.createStyleSheet)({
  avatarContainer: {
    marginBottom: 12
  },
  infoUrl: {
    marginBottom: 4
  }
});
var _default = exports.default = OpenChannelSettingsInfo;
//# sourceMappingURL=OpenChannelSettingsInfo.js.map