"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _uikitUtils = require("@sendbird/uikit-utils");
var _moduleContext = require("../module/moduleContext");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const UserListList = ({
  users,
  onRefresh,
  refreshing,
  renderUser,
  onLoadNext,
  ListEmptyComponent
}) => {
  const context = (0, _react.useContext)(_moduleContext.UserListContexts.List);
  const renderItem = (0, _react.useCallback)(({
    item
  }) => renderUser === null || renderUser === void 0 ? void 0 : renderUser(item, context.selectedUsers, context.setSelectedUsers), [renderUser, context.selectedUsers, context.setSelectedUsers]);
  const safeArea = (0, _uikitUtils.useSafeAreaPadding)(['left', 'right']);
  return /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: users,
    refreshing: refreshing,
    onRefresh: onRefresh,
    renderItem: renderItem,
    onEndReached: onLoadNext,
    contentContainerStyle: {
      ...safeArea,
      flexGrow: 1
    },
    ListEmptyComponent: ListEmptyComponent,
    keyExtractor: _uikitUtils.getUserUniqId
  });
};
var _default = exports.default = UserListList;
//# sourceMappingURL=UserListList.js.map