"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserListContextsProvider = exports.UserListContexts = void 0;
var _react = _interopRequireWildcard(require("react"));
var _uikitUtils = require("@sendbird/uikit-utils");
var _ProviderLayout = _interopRequireDefault(require("../../../components/ProviderLayout"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/* eslint-disable @typescript-eslint/no-explicit-any */

const UserListContexts = exports.UserListContexts = {
  Fragment: /*#__PURE__*/(0, _react.createContext)({
    headerTitle: '',
    headerRight: ''
  }),
  List: /*#__PURE__*/(0, _react.createContext)({
    selectedUsers: [],
    setSelectedUsers: _uikitUtils.NOOP
  })
};
const UserListContextsProvider = ({
  children,
  headerTitle,
  headerRight
}) => {
  const [selectedUsers, setSelectedUsers] = (0, _react.useState)([]);
  return /*#__PURE__*/_react.default.createElement(_ProviderLayout.default, null, /*#__PURE__*/_react.default.createElement(UserListContexts.Fragment.Provider, {
    value: {
      headerTitle,
      headerRight: headerRight(selectedUsers)
    }
  }, /*#__PURE__*/_react.default.createElement(UserListContexts.List.Provider, {
    value: {
      selectedUsers,
      setSelectedUsers
    }
  }, children)));
};
exports.UserListContextsProvider = UserListContextsProvider;
//# sourceMappingURL=moduleContext.js.map