"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _uikitUtils = require("@sendbird/uikit-utils");
var _createGroupChannelSettingsModule = _interopRequireDefault(require("../domain/groupChannelSettings/module/createGroupChannelSettingsModule"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const createGroupChannelSettingsFragment = initModule => {
  const GroupChannelSettingsModule = (0, _createGroupChannelSettingsModule.default)(initModule);
  return ({
    onPressHeaderLeft = _uikitUtils.NOOP,
    channel,
    onPressMenuModeration,
    onPressMenuMembers,
    onPressMenuSearchInChannel,
    onPressMenuLeaveChannel,
    onPressMenuNotification,
    menuItemsCreator
  }) => {
    const {
      colors
    } = (0, _uikitReactNativeFoundation.useUIKitTheme)();
    const safeArea = (0, _uikitUtils.useSafeAreaPadding)(['left', 'right']);
    return /*#__PURE__*/_react.default.createElement(GroupChannelSettingsModule.Provider, {
      channel: channel
    }, /*#__PURE__*/_react.default.createElement(GroupChannelSettingsModule.Header, {
      onPressHeaderLeft: onPressHeaderLeft
    }), /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
      style: {
        backgroundColor: colors.background
      },
      contentContainerStyle: {
        paddingStart: safeArea.paddingStart + styles.viewContainer.paddingHorizontal,
        paddingEnd: safeArea.paddingEnd + styles.viewContainer.paddingHorizontal
      }
    }, /*#__PURE__*/_react.default.createElement(GroupChannelSettingsModule.Info, null), /*#__PURE__*/_react.default.createElement(GroupChannelSettingsModule.Menu, {
      menuItemsCreator: menuItemsCreator,
      onPressMenuModeration: onPressMenuModeration,
      onPressMenuMembers: onPressMenuMembers,
      onPressMenuSearchInChannel: onPressMenuSearchInChannel,
      onPressMenuLeaveChannel: onPressMenuLeaveChannel,
      onPressMenuNotification: onPressMenuNotification
    })));
  };
};
const styles = (0, _uikitReactNativeFoundation.createStyleSheet)({
  viewContainer: {
    paddingHorizontal: 16
  }
});
var _default = exports.default = createGroupChannelSettingsFragment;
//# sourceMappingURL=createGroupChannelSettingsFragment.js.map