"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _uikitUtils = require("@sendbird/uikit-utils");
var _openChannelCreate = require("../domain/openChannelCreate");
var _useContext = require("../hooks/useContext");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const createOpenChannelCreateFragment = initModule => {
  const OpenChannelCreateModule = (0, _openChannelCreate.createOpenChannelCreateModule)(initModule);
  return ({
    onPressHeaderLeft = _uikitUtils.NOOP,
    onBeforeCreateChannel = _uikitUtils.PASS,
    onCreateChannel
  }) => {
    const {
      sdk,
      currentUser
    } = (0, _useContext.useSendbirdChat)();
    const {
      palette
    } = (0, _uikitReactNativeFoundation.useUIKitTheme)();
    const [loading, setLoading] = (0, _react.useState)(false);
    const [channelName, setChannelName] = (0, _react.useState)('');
    const [channelCoverFile, setChannelCoverFile] = (0, _react.useState)(undefined);
    const shouldActivateHeaderRight = () => {
      return Boolean(currentUser) && channelName.trim() !== '';
    };
    const onPressHeaderRight = async () => {
      if (currentUser) {
        try {
          setLoading(true);
          const params = {
            name: channelName,
            operatorUserIds: [currentUser.userId]
          };
          if (channelCoverFile) params.coverUrlOrImage = channelCoverFile;
          const processedParams = await onBeforeCreateChannel(params);
          const channel = await sdk.openChannel.createChannel(processedParams);
          setLoading(false);
          onCreateChannel(channel);
        } catch {
          setLoading(false);
        }
      }
    };
    return /*#__PURE__*/_react.default.createElement(OpenChannelCreateModule.Provider, null, /*#__PURE__*/_react.default.createElement(OpenChannelCreateModule.Header, {
      onPressHeaderLeft: onPressHeaderLeft,
      onPressHeaderRight: onPressHeaderRight,
      shouldActivateHeaderRight: shouldActivateHeaderRight
    }), /*#__PURE__*/_react.default.createElement(OpenChannelCreateModule.ProfileInput, {
      channelName: channelName,
      onChangeChannelName: setChannelName,
      channelCoverFile: channelCoverFile,
      onChangeChannelCoverFile: setChannelCoverFile
    }), loading && /*#__PURE__*/_react.default.createElement(_uikitReactNativeFoundation.Box, {
      backgroundColor: palette.transparent,
      style: _reactNative.StyleSheet.absoluteFill,
      alignItems: 'center',
      justifyContent: 'center'
    }, /*#__PURE__*/_react.default.createElement(OpenChannelCreateModule.StatusLoading, null)));
  };
};
var _default = exports.default = createOpenChannelCreateFragment;
//# sourceMappingURL=createOpenChannelCreateFragment.js.map