"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _uikitReactNativeFoundation = require("@sendbird/uikit-react-native-foundation");
var _uikitUtils = require("@sendbird/uikit-utils");
var _openChannelSettings = require("../domain/openChannelSettings");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const createOpenChannelSettingsFragment = initModule => {
  const OpenChannelSettingsModule = (0, _openChannelSettings.createOpenChannelSettingsModule)(initModule);
  return ({
    onPressHeaderLeft = _uikitUtils.NOOP,
    channel,
    onPressMenuModeration,
    onPressMenuParticipants,
    onPressMenuDeleteChannel,
    onNavigateToOpenChannel,
    menuItemsCreator
  }) => {
    const {
      colors
    } = (0, _uikitReactNativeFoundation.useUIKitTheme)();
    const safeArea = (0, _uikitUtils.useSafeAreaPadding)(['left', 'right']);
    return /*#__PURE__*/_react.default.createElement(OpenChannelSettingsModule.Provider, {
      channel: channel,
      onNavigateToOpenChannel: onNavigateToOpenChannel
    }, /*#__PURE__*/_react.default.createElement(OpenChannelSettingsModule.Header, {
      onPressHeaderLeft: onPressHeaderLeft
    }), /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
      style: {
        backgroundColor: colors.background
      },
      contentContainerStyle: {
        paddingStart: safeArea.paddingStart + styles.viewContainer.paddingHorizontal,
        paddingEnd: safeArea.paddingEnd + styles.viewContainer.paddingHorizontal
      }
    }, /*#__PURE__*/_react.default.createElement(OpenChannelSettingsModule.Info, null), /*#__PURE__*/_react.default.createElement(OpenChannelSettingsModule.Menu, {
      menuItemsCreator: menuItemsCreator,
      onPressMenuModeration: onPressMenuModeration,
      onPressMenuParticipants: onPressMenuParticipants,
      onPressMenuDeleteChannel: onPressMenuDeleteChannel
    })));
  };
};
const styles = (0, _uikitReactNativeFoundation.createStyleSheet)({
  viewContainer: {
    paddingHorizontal: 16
  }
});
var _default = exports.default = createOpenChannelSettingsFragment;
//# sourceMappingURL=createOpenChannelSettingsFragment.js.map