"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _uikitUtils = require("@sendbird/uikit-utils");
var _SBUUtils = _interopRequireDefault(require("../libs/SBUUtils"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const createNativeMediaService = ({
  VideoComponent,
  thumbnailModule,
  imageResizerModule
}) => {
  return {
    VideoComponent({
      source,
      resizeMode,
      onLoad,
      ...props
    }) {
      return /*#__PURE__*/_react.default.createElement(VideoComponent, _extends({}, props, {
        source: source,
        resizeMode: resizeMode,
        onLoad: onLoad,
        controls: true
      }));
    },
    async getVideoThumbnail({
      url,
      timeMills
    }) {
      try {
        const {
          path
        } = await thumbnailModule.createThumbnail({
          url,
          format: 'jpeg',
          timeStamp: timeMills,
          cacheName: (0, _uikitUtils.hash)(url.split('?')[0])
        });
        return {
          path
        };
      } catch {
        return null;
      }
    },
    async compressImage({
      uri,
      maxWidth,
      maxHeight,
      compressionRate = 1
    }) {
      const originSize = await _SBUUtils.default.getImageSize(uri);
      const {
        width,
        height
      } = (0, _uikitUtils.getDownscaleSize)(originSize, {
        width: maxWidth,
        height: maxHeight
      });
      const extension = (() => {
        return {
          'png': 'PNG',
          'jpeg': 'JPEG',
          'jpg': 'JPEG'
        }[(0, _uikitUtils.getFileExtension)(uri)] ?? 'JPEG';
      })();
      const {
        size: resizedSize,
        uri: compressedURI
      } = await imageResizerModule.default.createResizedImage(uri, width, height, extension, Math.min(Math.max(0, compressionRate), 1) * 100);
      return {
        uri: compressedURI,
        size: resizedSize
      };
    }
  };
};
var _default = exports.default = createNativeMediaService;
//# sourceMappingURL=createMediaService.native.js.map