import React from 'react';
import { Box, PressBox, createStyleSheet } from '@sendbird/uikit-react-native-foundation';
import { ImageWithPlaceholder } from '@sendbird/uikit-react-native-foundation';
import { getThumbnailUriFromFileMessage } from '@sendbird/uikit-utils';
const ThreadParentMessageFileImage = props => {
  const fileMessage = props.parentMessage;
  if (!fileMessage) return null;
  return /*#__PURE__*/React.createElement(Box, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(PressBox, {
    onPress: props.onPress,
    onLongPress: props.onLongPress
  }, /*#__PURE__*/React.createElement(ImageWithPlaceholder, {
    source: {
      uri: getThumbnailUriFromFileMessage(fileMessage)
    },
    style: styles.image
  })));
};
const styles = createStyleSheet({
  container: {
    borderRadius: 16,
    overflow: 'hidden'
  },
  image: {
    maxWidth: 240,
    width: 240,
    height: 160,
    borderRadius: 16,
    overflow: 'hidden'
  }
});
export default ThreadParentMessageFileImage;
//# sourceMappingURL=ThreadParentMessage.file.image.js.map