import React from 'react';
import { Box, PressBox, VideoThumbnail, createStyleSheet } from '@sendbird/uikit-react-native-foundation';
import { getThumbnailUriFromFileMessage } from '@sendbird/uikit-utils';
const ThreadParentMessageFileVideo = props => {
  const fileMessage = props.parentMessage;
  if (!fileMessage) return null;
  const uri = getThumbnailUriFromFileMessage(fileMessage);
  return /*#__PURE__*/React.createElement(Box, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(PressBox, {
    activeOpacity: 0.8,
    onPress: props.onPress,
    onLongPress: props.onLongPress
  }, /*#__PURE__*/React.createElement(VideoThumbnail, {
    style: styles.image,
    source: uri,
    fetchThumbnailFromVideoSource: props.fetchThumbnailFromVideoSource
  })));
};
const styles = createStyleSheet({
  container: {
    borderRadius: 16,
    overflow: 'hidden'
  },
  image: {
    maxWidth: 240,
    width: 240,
    height: 160,
    borderRadius: 16,
    overflow: 'hidden'
  }
});
export default ThreadParentMessageFileVideo;
//# sourceMappingURL=ThreadParentMessage.file.video.js.map