import React from 'react';
import { FlatList } from 'react-native';
import { getUserUniqId, useFreshCallback, useSafeAreaPadding } from '@sendbird/uikit-utils';
const GroupChannelBannedUsersList = ({
  renderUser,
  bannedUsers,
  onLoadNext,
  ListEmptyComponent
}) => {
  const renderItem = useFreshCallback(({
    item
  }) => renderUser === null || renderUser === void 0 ? void 0 : renderUser({
    user: item
  }));
  const safeArea = useSafeAreaPadding(['left', 'right']);
  return /*#__PURE__*/React.createElement(FlatList, {
    data: bannedUsers,
    renderItem: renderItem,
    contentContainerStyle: {
      ...safeArea,
      flexGrow: 1
    },
    ListEmptyComponent: ListEmptyComponent,
    onEndReached: onLoadNext,
    bounces: false,
    keyExtractor: getUserUniqId
  });
};
export default GroupChannelBannedUsersList;
//# sourceMappingURL=GroupChannelBannedUsersList.js.map