import React from 'react';
import { FlatList } from 'react-native';
import { getUserUniqId, useFreshCallback, useSafeAreaPadding } from '@sendbird/uikit-utils';
const OpenChannelMutedParticipantsList = ({
  renderUser,
  mutedParticipants,
  ListEmptyComponent,
  onLoadNext
}) => {
  const renderItem = useFreshCallback(({
    item
  }) => renderUser === null || renderUser === void 0 ? void 0 : renderUser({
    user: item
  }));
  const safeArea = useSafeAreaPadding(['left', 'right']);
  return /*#__PURE__*/React.createElement(FlatList, {
    data: mutedParticipants,
    renderItem: renderItem,
    contentContainerStyle: {
      ...safeArea,
      flexGrow: 1
    },
    ListEmptyComponent: ListEmptyComponent,
    bounces: false,
    keyExtractor: getUserUniqId,
    onEndReached: onLoadNext
  });
};
export default OpenChannelMutedParticipantsList;
//# sourceMappingURL=OpenChannelMutedParticipantsList.js.map