import React, { useCallback, useContext } from 'react';
import { FlatList } from 'react-native';
import { getUserUniqId, useSafeAreaPadding } from '@sendbird/uikit-utils';
import { UserListContexts } from '../module/moduleContext';
const UserListList = ({
  users,
  onRefresh,
  refreshing,
  renderUser,
  onLoadNext,
  ListEmptyComponent
}) => {
  const context = useContext(UserListContexts.List);
  const renderItem = useCallback(({
    item
  }) => renderUser === null || renderUser === void 0 ? void 0 : renderUser(item, context.selectedUsers, context.setSelectedUsers), [renderUser, context.selectedUsers, context.setSelectedUsers]);
  const safeArea = useSafeAreaPadding(['left', 'right']);
  return /*#__PURE__*/React.createElement(FlatList, {
    data: users,
    refreshing: refreshing,
    onRefresh: onRefresh,
    renderItem: renderItem,
    onEndReached: onLoadNext,
    contentContainerStyle: {
      ...safeArea,
      flexGrow: 1
    },
    ListEmptyComponent: ListEmptyComponent,
    keyExtractor: getUserUniqId
  });
};
export default UserListList;
//# sourceMappingURL=UserListList.js.map