import React from 'react';
import { ScrollView } from 'react-native';
import { createStyleSheet, useUIKitTheme } from '@sendbird/uikit-react-native-foundation';
import { NOOP, useSafeAreaPadding } from '@sendbird/uikit-utils';
import { createGroupChannelModerationModule } from '../domain/groupChannelModeration';
const createGroupChannelModerationFragment = initModule => {
  const GroupChannelModerationModule = createGroupChannelModerationModule(initModule);
  return ({
    channel,
    onPressHeaderLeft = NOOP,
    onPressMenuBannedUsers,
    onPressMenuMutedMembers,
    onPressMenuOperators,
    menuItemsCreator
  }) => {
    const safeArea = useSafeAreaPadding(['left', 'right']);
    const {
      colors
    } = useUIKitTheme();
    return /*#__PURE__*/React.createElement(GroupChannelModerationModule.Provider, {
      channel: channel
    }, /*#__PURE__*/React.createElement(GroupChannelModerationModule.Header, {
      onPressHeaderLeft: onPressHeaderLeft
    }), /*#__PURE__*/React.createElement(ScrollView, {
      style: {
        backgroundColor: colors.background
      },
      contentContainerStyle: {
        paddingStart: safeArea.paddingStart + styles.viewContainer.paddingHorizontal,
        paddingEnd: safeArea.paddingEnd + styles.viewContainer.paddingHorizontal
      }
    }, /*#__PURE__*/React.createElement(GroupChannelModerationModule.Menu, {
      onPressMenuBannedUsers: onPressMenuBannedUsers,
      onPressMenuMutedMembers: onPressMenuMutedMembers,
      onPressMenuOperators: onPressMenuOperators,
      menuItemsCreator: menuItemsCreator
    })));
  };
};
const styles = createStyleSheet({
  viewContainer: {
    paddingHorizontal: 16
  }
});
export default createGroupChannelModerationFragment;
//# sourceMappingURL=createGroupChannelModerationFragment.js.map