import React from 'react';
import { ScrollView } from 'react-native';
import { createStyleSheet, useUIKitTheme } from '@sendbird/uikit-react-native-foundation';
import { NOOP, useSafeAreaPadding } from '@sendbird/uikit-utils';
import createGroupChannelSettingsModule from '../domain/groupChannelSettings/module/createGroupChannelSettingsModule';
const createGroupChannelSettingsFragment = initModule => {
  const GroupChannelSettingsModule = createGroupChannelSettingsModule(initModule);
  return ({
    onPressHeaderLeft = NOOP,
    channel,
    onPressMenuModeration,
    onPressMenuMembers,
    onPressMenuSearchInChannel,
    onPressMenuLeaveChannel,
    onPressMenuNotification,
    menuItemsCreator
  }) => {
    const {
      colors
    } = useUIKitTheme();
    const safeArea = useSafeAreaPadding(['left', 'right']);
    return /*#__PURE__*/React.createElement(GroupChannelSettingsModule.Provider, {
      channel: channel
    }, /*#__PURE__*/React.createElement(GroupChannelSettingsModule.Header, {
      onPressHeaderLeft: onPressHeaderLeft
    }), /*#__PURE__*/React.createElement(ScrollView, {
      style: {
        backgroundColor: colors.background
      },
      contentContainerStyle: {
        paddingStart: safeArea.paddingStart + styles.viewContainer.paddingHorizontal,
        paddingEnd: safeArea.paddingEnd + styles.viewContainer.paddingHorizontal
      }
    }, /*#__PURE__*/React.createElement(GroupChannelSettingsModule.Info, null), /*#__PURE__*/React.createElement(GroupChannelSettingsModule.Menu, {
      menuItemsCreator: menuItemsCreator,
      onPressMenuModeration: onPressMenuModeration,
      onPressMenuMembers: onPressMenuMembers,
      onPressMenuSearchInChannel: onPressMenuSearchInChannel,
      onPressMenuLeaveChannel: onPressMenuLeaveChannel,
      onPressMenuNotification: onPressMenuNotification
    })));
  };
};
const styles = createStyleSheet({
  viewContainer: {
    paddingHorizontal: 16
  }
});
export default createGroupChannelSettingsFragment;
//# sourceMappingURL=createGroupChannelSettingsFragment.js.map