import React from 'react';
import { ScrollView } from 'react-native';
import { createStyleSheet, useUIKitTheme } from '@sendbird/uikit-react-native-foundation';
import { NOOP, useSafeAreaPadding } from '@sendbird/uikit-utils';
import { createOpenChannelSettingsModule } from '../domain/openChannelSettings';
const createOpenChannelSettingsFragment = initModule => {
  const OpenChannelSettingsModule = createOpenChannelSettingsModule(initModule);
  return ({
    onPressHeaderLeft = NOOP,
    channel,
    onPressMenuModeration,
    onPressMenuParticipants,
    onPressMenuDeleteChannel,
    onNavigateToOpenChannel,
    menuItemsCreator
  }) => {
    const {
      colors
    } = useUIKitTheme();
    const safeArea = useSafeAreaPadding(['left', 'right']);
    return /*#__PURE__*/React.createElement(OpenChannelSettingsModule.Provider, {
      channel: channel,
      onNavigateToOpenChannel: onNavigateToOpenChannel
    }, /*#__PURE__*/React.createElement(OpenChannelSettingsModule.Header, {
      onPressHeaderLeft: onPressHeaderLeft
    }), /*#__PURE__*/React.createElement(ScrollView, {
      style: {
        backgroundColor: colors.background
      },
      contentContainerStyle: {
        paddingStart: safeArea.paddingStart + styles.viewContainer.paddingHorizontal,
        paddingEnd: safeArea.paddingEnd + styles.viewContainer.paddingHorizontal
      }
    }, /*#__PURE__*/React.createElement(OpenChannelSettingsModule.Info, null), /*#__PURE__*/React.createElement(OpenChannelSettingsModule.Menu, {
      menuItemsCreator: menuItemsCreator,
      onPressMenuModeration: onPressMenuModeration,
      onPressMenuParticipants: onPressMenuParticipants,
      onPressMenuDeleteChannel: onPressMenuDeleteChannel
    })));
  };
};
const styles = createStyleSheet({
  viewContainer: {
    paddingHorizontal: 16
  }
});
export default createOpenChannelSettingsFragment;
//# sourceMappingURL=createOpenChannelSettingsFragment.js.map