function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React from 'react';
import { getDownscaleSize } from '@sendbird/uikit-utils';
import SBUUtils from '../libs/SBUUtils';
import expoBackwardUtils from '../utils/expoBackwardUtils';
const createExpoMediaService = ({
  avModule,
  thumbnailModule,
  imageManipulator,
  fsModule
}) => {
  return {
    VideoComponent({
      source,
      resizeMode,
      onLoad,
      ...props
    }) {
      // FIXME: type error https://github.com/expo/expo/issues/17101
      // @ts-ignore
      return /*#__PURE__*/React.createElement(avModule.Video, _extends({}, props, {
        source: source,
        resizeMode: resizeMode,
        onLoad: onLoad,
        useNativeControls: true
      }));
    },
    async getVideoThumbnail({
      url,
      quality,
      timeMills
    }) {
      try {
        const {
          uri
        } = await thumbnailModule.getThumbnailAsync(url, {
          quality,
          time: timeMills
        });
        return {
          path: uri
        };
      } catch {
        return null;
      }
    },
    async compressImage({
      maxWidth,
      maxHeight,
      compressionRate = 1,
      uri
    }) {
      const originSize = await SBUUtils.getImageSize(uri);
      const resizingSize = getDownscaleSize(originSize, {
        width: maxWidth,
        height: maxHeight
      });
      const {
        uri: compressedURI
      } = await imageManipulator.manipulateAsync(uri, [{
        resize: resizingSize
      }], {
        compress: Math.min(Math.max(0, compressionRate), 1)
      });
      const fileInfo = await fsModule.getInfoAsync(uri);
      return {
        uri: compressedURI,
        size: expoBackwardUtils.toFileSize(fileInfo)
      };
    }
  };
};
export default createExpoMediaService;
//# sourceMappingURL=createMediaService.expo.js.map