import React, { Ref } from 'react';
import { FlatList, FlatListProps } from 'react-native';
import { BottomSheetItem } from '@sendbird/uikit-react-native-foundation';
import { SendbirdFileMessage, SendbirdGroupChannel, SendbirdMessage, SendbirdOpenChannel, SendbirdUserMessage } from '@sendbird/uikit-utils';
import type { UserProfileContextType } from '../../contexts/UserProfileCtx';
type HandleableMessage = SendbirdUserMessage | SendbirdFileMessage;
export type ChannelThreadMessageListProps<T extends SendbirdGroupChannel | SendbirdOpenChannel> = {
    enableMessageGrouping: boolean;
    currentUserId?: string;
    channel: T;
    messages: SendbirdMessage[];
    newMessages: SendbirdMessage[];
    searchItem?: {
        startingPoint: number;
    };
    scrolledAwayFromBottom: boolean;
    onScrolledAwayFromBottom: (value: boolean) => void;
    onTopReached: () => void;
    onBottomReached: () => void;
    hasNext: () => boolean;
    onPressNewMessagesButton: (animated?: boolean) => void;
    onPressScrollToBottomButton: (animated?: boolean) => void;
    onEditMessage: (message: HandleableMessage) => void;
    onDeleteMessage: (message: HandleableMessage) => Promise<void>;
    onResendFailedMessage: (failedMessage: HandleableMessage) => Promise<HandleableMessage | void>;
    onPressMediaMessage?: (message: SendbirdFileMessage, deleteMessage: () => Promise<void>, uri: string) => void;
    renderMessage: (props: {
        focused: boolean;
        message: SendbirdMessage;
        prevMessage?: SendbirdMessage;
        nextMessage?: SendbirdMessage;
        onPress?: () => void;
        onLongPress?: () => void;
        onShowUserProfile?: UserProfileContextType['show'];
        channel: T;
        currentUserId?: ChannelThreadMessageListProps<T>['currentUserId'];
        enableMessageGrouping: ChannelThreadMessageListProps<T>['enableMessageGrouping'];
        bottomSheetItem?: BottomSheetItem;
        isFirstItem: boolean;
    }) => React.ReactElement | null;
    renderNewMessagesButton: null | ((props: {
        visible: boolean;
        onPress: () => void;
        newMessages: SendbirdMessage[];
    }) => React.ReactElement | null);
    renderScrollToBottomButton: null | ((props: {
        visible: boolean;
        onPress: () => void;
    }) => React.ReactElement | null);
    flatListProps?: Omit<FlatListProps<SendbirdMessage>, 'data' | 'renderItem'>;
} & {
    ref?: Ref<FlatList<SendbirdMessage>> | undefined;
};
declare const _default: <T extends import("@sendbird/chat/openChannel").OpenChannel | import("@sendbird/chat/groupChannel").GroupChannel>({ searchItem, hasNext, channel, onEditMessage, onDeleteMessage, onResendFailedMessage, onPressMediaMessage, currentUserId, renderNewMessagesButton, renderScrollToBottomButton, renderMessage, messages, newMessages, enableMessageGrouping, onScrolledAwayFromBottom, scrolledAwayFromBottom, onBottomReached, onTopReached, flatListProps, onPressNewMessagesButton, onPressScrollToBottomButton, }: ChannelThreadMessageListProps<T>, ref: React.ForwardedRef<FlatList<SendbirdMessage>>) => React.JSX.Element;
export default _default;
