import type { AsyncLocalCacheStorage, KeyValuePairGet, KeyValuePairSet, LocalCacheStorage } from '../types';
export default class InternalLocalCacheStorage implements AsyncLocalCacheStorage {
    private readonly _mmkv?;
    private readonly _async?;
    constructor(storage: LocalCacheStorage);
    getAllKeys(): Promise<readonly string[]>;
    getItem(key: string): Promise<string | null>;
    removeItem(key: string): Promise<void>;
    setItem(key: string, value: string): Promise<void>;
    multiGet(keys: string[]): Promise<readonly KeyValuePairGet[]>;
    multiRemove(keys: string[]): Promise<void>;
    multiSet(keyValuePairs: Array<KeyValuePairSet>): Promise<void>;
    clear: () => Promise<undefined>;
    flushGetRequests: () => Promise<undefined>;
}
